%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}
%{!?_root_bindir:%global _root_bindir %{_bindir}}
%{!?_root_libexecdir:%global _root_libexecdir %{_libexecdir}}

%global __requires_exclude ^python%{python3_pkgversion}dist\\(async-timeout|opentelemetry-distro|psycopg\\[binary

# Created by pyp2rpm-3.3.3
%global pypi_name pulpcore
%global wrappers pulpcore-worker
%global scl_wrappers pulpcore-manager

Name:           python-%{pypi_name}
Version:        3.49.15
Release:        1.0.5%{?dist}
Summary:        Pulp Django Application and Related Modules

License:        GPLv2+
URL:            https://pulpproject.org
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        NOTICE
Source2:        THIRD_PARTY_LICENSES.txt
BuildArch:      noarch
Patch0:         0001-Fix-incorrect-RBAC-permissions-in-object-creation-ta.patch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools < 66.0.0
BuildRequires:  python%{python3_pkgversion}-setuptools >= 39.2.0
BuildRequires:  python%{python3_pkgversion}-rpm-macros

%?python_enable_dependency_generator

%description
Pulp is a platform for managing repositories of content, such as software
packages, and pushing that content out to large numbers of consumers.

Using Pulp you can:
- Locally mirror all or part of a repository
- Host your own content in a new repository
- Manage content from multiple sources in one place
- Promote content through different repos in an organized way


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:       python%{python3_pkgversion}-psycopg >= 3.1.8
Requires:       python%{python3_pkgversion}-psycopg <= 3.1.18
Requires:       python%{python3_pkgversion}-pyparsing >= 3.1.0
Requires:       python%{python3_pkgversion}-opentelemetry-instrumentation-django > 0.43b0
Requires:       python%{python3_pkgversion}-opentelemetry-instrumentation-django <= 0.44b0
Requires:       python%{python3_pkgversion}-opentelemetry_distro <= 0.44b0
Requires:       python%{python3_pkgversion}-jq >= 1.6
Requires:       python%{python3_pkgversion}-jq < 1.7

Obsoletes:      python3-%{pypi_name} < %{version}-%{release}
%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}
%endif
Obsoletes:      python%{python3_pkgversion}-pyparsing > 3.1.1
Obsoletes:      python%{python3_pkgversion}-opentelemetry_instrumentation_django <= 0.43b0

Provides:       %{pypi_name} = %{version}

%description -n python%{python3_pkgversion}-%{pypi_name}
Pulp is a platform for managing repositories of content, such as software
packages, and pushing that content out to large numbers of consumers.

Using Pulp you can:
- Locally mirror all or part of a repository
- Host your own content in a new repository
- Manage content from multiple sources in one place
- Promote content through different repos in an organized way


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
cp %{SOURCE1} .
cp %{SOURCE2} .

# relax cryptography requirement
# see https://pulp.plan.io/issues/9367
sed -i '/cryptography/ s/~=.*//' requirements.txt
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}
for wrapper in %{wrappers}
do
  printf '#!/bin/bash\n%{?scl:source scl_source enable tfm-pulpcore \n}exec %s "$@"\n' ${wrapper} > ${wrapper}
done
%if 0%{?scl:1}
for wrapper in %{scl_wrappers}
do
  printf '#!/bin/bash\n%{?scl:source scl_source enable tfm-pulpcore \n}exec %s "$@"\n' ${wrapper} > ${wrapper}
done
%endif


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}
for wrapper in %{wrappers}
do
  install -D -m 755 ${wrapper} %{buildroot}%{_root_libexecdir}/%{pypi_name}/${wrapper}
done
%if 0%{?scl:1}
for wrapper in %{scl_wrappers}
do
  install -D -m 755 ${wrapper} %{buildroot}%{_root_bindir}/${wrapper}
done
%endif
%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE NOTICE THIRD_PARTY_LICENSES.txt
%doc README.md
%{_bindir}/pulpcore-api
%{_bindir}/pulpcore-content
%{_bindir}/pulpcore-manager
%{_bindir}/pulpcore-worker
%{_root_libexecdir}/%{pypi_name}/*
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/pulp_certguard/*
%{python3_sitelib}/pulp_file/*
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu May 29 2025 Carlos Heiras <carlos.heiras@oracle.com> - 3.49.15-1.0.5
- OLAM-510 Fix for CVE-2024-7143

* Mon May 19 2025 Rafael Barron <rafael.barron@oracle.com> - 3.49.15-1.0.4
- Add python-jq as a dependency

* Mon Mar 31 2025 Carlos Heiras <carlos.heiras@oracle.com> - 3.49.15-1.0.3
- Update __requires_exclude macro

* Wed Mar 12 2025 Carlos Heiras <carlos.heiras@oracle.com> - 3.49.15-1.0.2
- Adjust requirements on the spec file

* Mon Mar 03 2025 Carlos Heiras <carlos.heiras@oracle.com> - 3.49.15-1.0.1
- Remove requirements.txt patch

* Tue Jan 28 2025 Rafael Barron <rafael.barron@oracle.com> - 3.49.15-1.0.0
- Update to 3.49.15

* Thu Aug 29 2024 Alex Burmashev <alexander.burmashev@oracle.com> - 3.28.26-1.0.5
- Add psycopg requires

* Wed Aug 28 2024 Alex Burmashev <alexander.burmashev@oracle.com> - 3.28.26-1.0.4
- Replace psycopg[binary] with psycopg-c requirement

* Mon Aug 19 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 3.28.26-1.0.3
- Removes async-timeout as a dependency

* Mon Aug 19 2024 Teo Gonzalez <teo.g.gonzalez@oracle.com> - 3.28.26-1.0.2
- Use autogenerated pulpcore dependencies instead of manual ones.

* Thu Jul 18 2024 Craig Guiller <craig.guiller@oracle.com> - 3.28.26-1.0.1
- Update to 3.28.26
- Rebuild with python 3.11
- drop cryptography.patch

* Tue Jun 06 2023 Qing Lin <qing.lin@oracle.com> - 3.21.4-1.0.2
- Add NOTICE and THIRD_PARTY_LICENSES.txt

* Thu Feb 2 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 3.21.4-1.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-32]

* Mon Jan 23 2023 Patrick Creech <pcreech@redhat.com> - 3.21.4-1
- Release python-pulpcore 3.21.4

* Tue Sep 20 2022 Odilon Sousa 3.21.0-1
- Update to 3.21.0

* Wed Sep 14 2022 Odilon Sousa <osousa@redhat.com> - 3.18.10-1
- Release python-pulpcore 3.18.10

* Wed Aug 03 2022 Zach Huntington-Meath <zhunting@redhat.com> - 3.18.6-1
- Release python-pulpcore 3.18.6

* Thu May 26 2022 Odilon Sousa <osousa@redhat.com> - 3.18.5-2
- Adding a sed to change redis on requirements.txt, from ~= to >=

* Wed May 25 2022 Odilon Sousa <osousa@redhat.com> - 3.18.5-1
- Release python-pulpcore 3.18.5

* Tue May 10 2022 Yanis Guenane <yguenane@redhat.com> - 3.18.4-4
- Obsolete the old Python 3.8 package for smooth upgrade

* Fri Apr 29 2022 Odilon Sousa <osousa@redhat.com> - 3.18.4-3
- Fixing pulpcore requirements for djangorestframework

* Thu Apr 28 2022 Odilon Sousa <osousa@redhat.com> - 3.18.4-2
- Fixing the requirement for url-normalize

* Wed Apr 27 2022 Odilon Sousa <osousa@redhat.com> - 3.18.4-1
- Release python-pulpcore 3.18.4

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 3.17.3-2
- Build against python 3.9

* Tue Feb 08 2022 Odilon Sousa <osousa@redhat.com> - 3.17.3-1
- Release python-pulpcore 3.17.3

* Thu Dec 02 2021 Justin Sherrill <jsherril@redhat.com> 3.16.1-1
- update to 3.16.1

* Tue Nov 16 2021 Odilon Sousa <osousa@redhat.com> - 3.16.0-2
- Solving conflict with django-filter

* Mon Nov 15 2021 Odilon Sousa <osousa@redhat.com> - 3.16.0-1
- Release python-pulpcore 3.16.0

* Tue Oct 26 2021 Evgeni Golov - 3.15.2-4
- Also obsolete python3-pulpcore on EL7

* Wed Oct 20 2021 Evgeni Golov - 3.15.2-3
- Add provides for 'pulpcore'

* Wed Sep 29 2021 Evgeni Golov - 3.15.2-2
- Obsolete the old Python 3.6 package for smooth upgrade

* Wed Sep 08 2021 Evgeni Golov 3.15.2-1
- Update to 3.15.2

* Wed Aug 25 2021 Odilon Sousa <osousa@redhat.com> - 3.14.5-2
- Release python-pulpcore 3.14.5

* Wed Aug 25 2021 Odilon Sousa <osousa@redhat.com> - 3.14.5-1
- Release python-pulpcore 3.14.5

* Wed Aug 18 2021 Odilon Sousa <osousa@redhat.com> - 3.14.4-1
- Release python-pulpcore 3.14.4

* Mon Jul 26 2021 Justin Sherrill <jsherril@redhat.com> 3.14.3-1
- upgrade to 3.14.3

* Wed Jul 07 2021 Justin Sherrill <jsherril@redhat.com> 3.14.1-1
- update to 3.14.1

* Fri Jul 02 2021 Evgeni Golov - 3.14.0-1
- Release python-pulpcore 3.14.0

* Thu Jun 17 2021 Evgeni Golov - 3.13.0-2
- place the worker wrapper in libexec

* Fri Jun 11 2021 Evgeni Golov 3.13.0-1
- Update to 3.13.0

* Mon May 31 2021 Evgeni Golov - 3.11.2-1
- Release python-pulpcore 3.11.2

* Wed May 12 2021 Evgeni Golov 3.11.1-1
- Update to 3.11.1

* Wed Apr 28 2021 Justin Sherrill <jsherril@redhat.com> 3.11.0-2
- add patch for issue 8603

* Fri Mar 19 2021 Evgeni Golov 3.11.0-1
- Update to 3.11.0

* Wed Mar 03 2021 Brian Bouterse - 3.9.1-2
- Increase Pulp worker timeout to 300 seconds

* Fri Jan 22 2021 Evgeni Golov - 3.9.1-1
- Release python-pulpcore 3.9.1

* Mon Jan 11 2021 Evgeni Golov - 3.9.0-1
- Update to 3.9.0

* Mon Dec 21 2020 Evgeni Golov - 3.8.1-2
- Drop django-storages requirement, it was an oversight to add it

* Fri Dec 11 2020 Evgeni Golov 3.8.1-1
- Update to 3.8.1

* Tue Nov 03 2020 Evgeni Golov 3.7.3-1
- Update to 3.7.3

* Fri Oct 23 2020 Evgeni Golov - 3.7.2-1
- Release python-pulpcore 3.7.2

* Fri Oct 09 2020 Evgeni Golov - 3.7.1-3
- Bump dynaconf Requires to skip RCs

* Wed Oct 07 2020 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> - 3.7.1-2
- Add libexec wrappers for gunicorn and rq

* Wed Sep 30 2020 Evgeni Golov 3.7.1-1
- Update to 3.7.1

* Mon Sep 07 2020 Evgeni Golov 3.6.3-1
- Update to 3.6.3

* Thu Sep 03 2020 Justin Sherrill <jsherril@redhat.com> 3.6.2-2
- add missing jinja2 dep

* Thu Sep 03 2020 Evgeni Golov 3.6.2-1
- Update to 3.6.2

* Tue Aug 25 2020 Evgeni Golov 3.6.0-1
- Update to 3.6.0

* Thu Jun 04 2020 Evgeni Golov 3.4.1-1
- Update to 3.4.1

* Fri May 08 2020 Evgeni Golov 3.3.1-1
- Update to 3.3.1

* Tue Apr 28 2020 Evgeni Golov 3.3.0-1
- Update to 3.3.0

* Wed Mar 18 2020 Samir Jha 3.2.1-1
- Update to 3.2.1

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 3.0.1-2
- Bump release to build for el8

* Fri Jan 17 2020 Evgeni Golov 3.0.1-1
- Update to 3.0.1

* Fri Dec 13 2019 Evgeni Golov 3.0.0-1
- Update to 3.0.0

* Mon Nov 18 2019 Evgeni Golov - 3.0.0rc8-1
- Initial package.
